- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::MuOracle Class Reference

Abstract Base Class for classes that are able to compute a suggested value of the barrier parameter that can be used as an oracle in the NonmontoneMuUpdate class. More...

`#include <IpMuOracle.hpp>`

Inheritance diagram for Ipopt::MuOracle:

[legend]
Collaboration diagram for Ipopt::MuOracle:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| Initialize method - overloaded from AlgorithmStrategyObject.
virtual bool | CalculateMu (Number mu_min, Number mu_max, Number &new_mu)=0
| Method for computing the value of the barrier parameter that could be used in the current iteration.
Constructors/Destructors
| MuOracle ()
| Default Constructor.
virtual | ~MuOracle ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| MuOracle (const MuOracle &)
| Copy Constructor.
void | operator= (const MuOracle &)
| Overloaded Equals Operator.

## Detailed Description

Abstract Base Class for classes that are able to compute a suggested value of the barrier parameter that can be used as an oracle in the NonmontoneMuUpdate class.

Definition at line 21 of file IpMuOracle.hpp.

## Constructor & Destructor Documentation

Ipopt::MuOracle::MuOracle | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 27 of file IpMuOracle.hpp.

virtual Ipopt::MuOracle::~MuOracle | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 31 of file IpMuOracle.hpp.

Ipopt::MuOracle::MuOracle | ( | const MuOracle & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::MuOracle::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

Initialize method - overloaded from AlgorithmStrategyObject.

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::LoqoMuOracle, Ipopt::ProbingMuOracle, and Ipopt::QualityFunctionMuOracle.

virtual bool Ipopt::MuOracle::CalculateMu | ( | Number | mu_min,
|  | Number | mu_max,
|  | Number & | new_mu |
| ) |  |  | `[pure virtual]`

Method for computing the value of the barrier parameter that could be used in the current iteration.

Here, mu_min and mu_max are the lower and upper bounds on acceptable values for the barrier parameter. The new value of mu is returned in new_mu, and the method returns false if a new value could not be determined (e.g., because the linear system could not be solved for a predictor step).

Implemented in Ipopt::LoqoMuOracle, Ipopt::ProbingMuOracle, and Ipopt::QualityFunctionMuOracle.

void Ipopt::MuOracle::operator= | ( | const MuOracle & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpMuOracle.hpp